import React from 'react';
import ReactDOM from 'react-dom/client';
import App from './App';
import ThemeContextProvider from "./utils/contexts/ThemeContext";
import AuthContextProvider from "./utils/contexts/AuthContext";

const root = ReactDOM.createRoot(
    document.getElementById('root') as HTMLElement
);
root.render(
    <React.StrictMode>
        <AuthContextProvider>
            <ThemeContextProvider>
                <App/>
            </ThemeContextProvider>
        </AuthContextProvider>
    </React.StrictMode>
);